Freeciv-3.2: packet_ruleset_unit_class Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
packet_ruleset_unit_class Struct Reference

`#include <packets_gen.h>`

## Data Fields

int | id
char | name [MAX_LEN_NAME]
char | rule_name [MAX_LEN_NAME]
int | min_speed
int | hp_loss_pct
int | non_native_def_pct
bv_unit_class_flags | flags
char | helptext [MAX_LEN_PACKET]

## Detailed Description

Definition at line 1249 of file packets_gen.h.

## Field Documentation

## ◆ flags

bv_unit_class_flags packet_ruleset_unit_class::flags

Definition at line 1256 of file packets_gen.h.

Referenced by handle_ruleset_unit_class(), send_packet_ruleset_unit_class_100(), and send_ruleset_unit_classes().

## ◆ helptext

char packet_ruleset_unit_class::helptext[MAX_LEN_PACKET]

Definition at line 1257 of file packets_gen.h.

Referenced by handle_ruleset_unit_class(), send_packet_ruleset_unit_class_100(), and send_ruleset_unit_classes().

## ◆ hp_loss_pct

int packet_ruleset_unit_class::hp_loss_pct

Definition at line 1254 of file packets_gen.h.

Referenced by handle_ruleset_unit_class(), send_packet_ruleset_unit_class_100(), and send_ruleset_unit_classes().

## ◆ id

int packet_ruleset_unit_class::id

Definition at line 1250 of file packets_gen.h.

Referenced by handle_ruleset_unit_class(), send_packet_ruleset_unit_class_100(), and send_ruleset_unit_classes().

## ◆ min_speed

int packet_ruleset_unit_class::min_speed

Definition at line 1253 of file packets_gen.h.

Referenced by handle_ruleset_unit_class(), send_packet_ruleset_unit_class_100(), and send_ruleset_unit_classes().

## ◆ name

char packet_ruleset_unit_class::name[MAX_LEN_NAME]

Definition at line 1251 of file packets_gen.h.

Referenced by handle_ruleset_unit_class(), send_packet_ruleset_unit_class_100(), and send_ruleset_unit_classes().

## ◆ non_native_def_pct

int packet_ruleset_unit_class::non_native_def_pct

Definition at line 1255 of file packets_gen.h.

Referenced by handle_ruleset_unit_class(), send_packet_ruleset_unit_class_100(), and send_ruleset_unit_classes().

## ◆ rule_name

char packet_ruleset_unit_class::rule_name[MAX_LEN_NAME]

Definition at line 1252 of file packets_gen.h.

Referenced by handle_ruleset_unit_class(), send_packet_ruleset_unit_class_100(), and send_ruleset_unit_classes().